def decomp(n):
    D = dict() # dictionnaire vide

    k = 2

    while n ...:
        exposant = 0
        while n%k == 0:
            exposant = ...
            n = ...
        if exposant != 0:
            D[k] = exposant
        k = k+1
        j = 2
        while k%j == 0:
            k = k + 1

    return D

    return D
